Subject: Re: [TI994A] TurboForth preparation

From: [email-masked]
Date: Fri, 9 Apr 2010 09:17:59 EDT

There were a lot of errors and omissions in TI Forth when it was released.  
Corrections and updates were common throughout the early years of its 
existence.  The only complete FORTH language for the TI was Wycove FORTH by Tim 
MacEachern.  I have the first version - Vn 2.0 which has cassette tape access 
(removed in  later versions). I used it for about a year that way although 
it was a bit  cumbersome. Subsequently, Vn 2.1 appears without cassette 
access and I got a  copy of it as well. That was followed by a long, personal 
correspondence with  Tim and he sent me a copy of the unreleased Vn 3.0. 
Wycove was released as a  COMPLETE version and generally runs 20-50% faster that 
TI FORTH depending on the  application. Wycove loaded as an E/A5 file(s) and 
didn't need a special loader  and the editors were of much better quality 
than those in TI FORTH (which also  had some errors in them).
 
In fact, FORTH was the language of choice in the movie industry for a while 
 since the words were in plain English and could be descriptive. It was 
easy to  manipulate a camera with a computer since you could tell it exactly 
what to do  and the results were very quick. A real bonus for timing-sensitive 
movie  sequences.
 
Most of the programming that I did in FORTH was for my own personal  
needs.They were generally specific applications to solve a problem or make my  
life easier in another programming language.  
 
Bob  Carmany

In a message dated 4/9/2010 7:27:26 A.M. Eastern Daylight Time,  
[email-masked] writes:

Yep... TI Forth was missing some pretty important sh** when it  came out 
though.  In reading up on Forth history last night, I came  across a few 
unfavorable reviews of TI Forth.  Apparently TI Forth was  released too early, in 
the hope to capture some of the excitement around Forth  at the time.  I 
also found a reference on this list to Craig Miller's  influence in this 
matter.  He convinced them to release Forth early.  I'm finding this whole thing 
VERY interesting.  :)  

Owen Brand  
 
_Opry99er.com_ (http://opry99er.com/)

---

From: "Ksarul" <[email-masked]>
Date: Fri, 09 Apr 2010 09:46:10 -0400

Actually, Mike McCann did a lot of work on TI Forth to make it a very useful
language as well for use with The Printer's Apprentice and The Geometer's
Apprentice.  He used it for HQ Stacks on the Geneve as well.  I believe that
version was also the starting point for Bill Sullivan's Forth+ (Bill?).

Jim

  _____  

From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Friday, April 09, 2010 9:18 AM
To: [email-masked]
Subject: Re: [TI994A] TurboForth preparation

There were a lot of errors and omissions in TI Forth when it was released.
Corrections and updates were common throughout the early years of its
existence. The only complete FORTH language for the TI was Wycove FORTH by
Tim MacEachern. I have the first version - Vn 2.0 which has cassette tape
access (removed in later versions). I used it for about a year that way
although it was a bit cumbersome. Subsequently, Vn 2.1 appears without
cassette access and I got a copy of it as well. That was followed by a long,
personal correspondence with Tim and he sent me a copy of the unreleased Vn
3.0. Wycove was released as a COMPLETE version and generally runs 20-50%
faster that TI FORTH depending on the application. Wycove loaded as an E/A5
file(s) and didn't need a special loader and the editors were of much better
quality than those in TI FORTH (which also had some errors in them).

In fact, FORTH was the language of choice in the movie industry for a while
since the words were in plain English and could be descriptive. It was easy
to manipulate a camera with a computer since you could tell it exactly what
to do and the results were very quick. A real bonus for timing-sensitive
movie sequences.

Most of the programming that I did in FORTH was for my own personal
needs.They were generally specific applications to solve a problem or make
my life easier in another programming language.  

Bob Carmany

Yep... TI Forth was missing some pretty important sh** when it came out
though.  In reading up on Forth history last night, I came across a few
unfavorable reviews of TI Forth.  Apparently TI Forth was released too
early, in the hope to capture some of the excitement around Forth at the
time.  I also found a reference on this list to Craig Miller's influence in
this matter.  He convinced them to release Forth early.  I'm finding this
whole thing VERY interesting.  :)  

Owen Brand 

 <http://opry99er.com/> Opry99er.com

---

From: ti99_forever <[email-masked]>
Date: Fri, 9 Apr 2010 06:49:35 -0700 (PDT)

One must remember the Forth philosophy. Many "complete" Forths provided just the interpreter and a small set of core words, like C (you don't count the library routines).
TI Forth had a lot of extras, and they were all optional. With Forth, you are free to do your own library routines and not stick with the ones that are optional. For example, Wycove offered TI Basic-style graphics. But once you learned how to do this 'assembly-style', why would you do it 'Basic-style'?
--- On Fri, 4/9/10, Ksarul <[email-masked]> wrote:

From: Ksarul <[email-masked]>
Subject: RE: [TI994A] TurboForth preparation
To: [email-masked]
Date: Friday, April 9, 2010, 9:46 AM

 

 

Actually, Mike McCann did a lot of work on
TI Forth to make it a very useful language as well for use with The Printer’s
Apprentice and The Geometer’s Apprentice.  He used it for HQ Stacks
on the Geneve as well.  I believe that version was also the starting point
for Bill Sullivan’s Forth+ (Bill?). 

Jim 

From:
 [email-masked] [mailto:
 [email-masked] ] On Behalf Of [email-masked]

Sent: Friday, April 09, 2010 9:18
AM

Subject: Re: [TI994A] TurboForth
preparation 

There were a lot of errors and omissions
in TI Forth when it was released. Corrections and updates were common
throughout the early years of its existence. The only complete
 FORTH language for the TI was Wycove FORTH by Tim
MacEachern. I have the first version - Vn 2.0 which has cassette tape access
(removed in later versions). I used it for about a year that way although it
was a bit cumbersome. Subsequently, Vn 2.1 appears without cassette access and
I got a copy of it as well. That was followed by a long, personal
correspondence with Tim and he sent me a copy of the unreleased Vn 3.0. Wycove
was released as a COMPLETE version and generally runs 20-50% faster that TI
FORTH depending on the application. Wycove loaded as an E/A5 file(s) and didn't
need a special loader and the editors were of much better quality than those in
TI FORTH (which also had some errors in them). 

In fact, FORTH was the language of choice
in the movie industry for a while since the words were in plain English and
could be descriptive. It was easy to manipulate a camera with a computer since
you could tell it exactly what to do and the results were very quick. A real
bonus for timing-sensitive movie sequences. 

Most of the programming that I did in
 FORTH was for my own personal needs.They were generally
specific applications to solve a problem or make my life easier in another
programming language.   

Bob Carmany 

In a message dated
4/9/2010 7:27:26 A.M. Eastern Daylight Time, owenbrand@opry99er. com
writes: 

Yep... TI Forth was
missing some pretty important sh** when it came out though.  In reading up
on Forth history last night, I came across a
few unfavorable reviews of TI Forth.  Apparently TI Forth was released too
early, in the hope to capture some of the excitement around Forth 
at the time.  I also found a reference on this list to Craig Miller's
influence in this matter.  He convinced them to release Forth 
early.  I'm finding this whole thing VERY interesting.  :)   

Owen Brand  

Opry99er.com

---

From: fdos <[email-masked]>
Date: Fri, 09 Apr 2010 09:41:43 -0700

Hi Jim,

Yes, Forth+ was developed from Mike McCann's MDOS version of TI FORTH. 
I might get around to completing Forth+ 2.0 if I decide to drop X4th99 
development.  In fact, I loaded up the MESS Geneve emulator just a few 
days ago, and the Forth+ 2.0 development compiled without error, so all 
is still in good shape as it's been several years and a PC/OS or two 
since I tried it.  It really reminds me of how much I like MDOS for 
doing development.

Bill S

Ksarul wrote:
>  
> 
> Actually, Mike McCann did a lot of work on TI Forth to make it a very 
> useful language as well for use with The Printer’s Apprentice and The 
> Geometer’s Apprentice.  He used it for HQ Stacks on the Geneve as well. 
>  I believe that version was also the starting point for Bill Sullivan’s 
> Forth+ (Bill?).
> 
>  
> 
> Jim
> 
> ------------------------------------------------------------------------
> 
> *From:* [email-masked] [mailto:[email-masked]] *On 
> Behalf Of [email-masked]
> *Sent:* Friday, April 09, 2010 9:18 AM
> *To:* [email-masked]
> *Subject:* Re: [TI994A] TurboForth preparation
> 
>  
> 
>  
> 
> There were a lot of errors and omissions in TI Forth when it was 
> released. Corrections and updates were common throughout the early years 
> of its existence. The only complete FORTH language for the TI was Wycove 
> FORTH by Tim MacEachern. I have the first version - Vn 2.0 which has 
> cassette tape access (removed in later versions). I used it for about a 
> year that way although it was a bit cumbersome. Subsequently, Vn 2.1 
> appears without cassette access and I got a copy of it as well. That was 
> followed by a long, personal correspondence with Tim and he sent me a 
> copy of the unreleased Vn 3.0. Wycove was released as a COMPLETE version 
> and generally runs 20-50% faster that TI FORTH depending on the 
> application. Wycove loaded as an E/A5 file(s) and didn't need a special 
> loader and the editors were of much better quality than those in TI 
> FORTH (which also had some errors in them).
> 
>  
> 
> In fact, FORTH was the language of choice in the movie industry for a 
> while since the words were in plain English and could be descriptive. It 
> was easy to manipulate a camera with a computer since you could tell it 
> exactly what to do and the results were very quick. A real bonus for 
> timing-sensitive movie sequences.
> 
>  
> 
> needs.They were generally specific applications to solve a problem or 
> make my life easier in another programming language.  
> 
>  
> 
> *Bob Carmany*
> 
> 
>  
> 
> **In a message dated 4/9/2010 7:27:26 A.M. Eastern Daylight Time, 
> [email-masked] writes:**
> 
> 
> 
> 
>     **Yep... TI Forth was missing some pretty important sh** when it
>     came out though.  In reading up on Forth history last night, I came
>     across a few unfavorable reviews of TI Forth.  Apparently TI Forth
>     was released too early, in the hope to capture some of the
>     excitement around Forth at the time.  I also found a reference on
>     this list to Craig Miller's influence in this matter.  He convinced
>     them to release Forth early.  I'm finding this whole thing VERY
>     interesting.  :)  **
> 
> 
>     **Owen Brand **
> 
>     **Opry99er.com** <http://opry99er.com/>
> 
> 
>      
> 
>

---

From: fdos <[email-masked]>
Date: Fri, 09 Apr 2010 09:47:14 -0700

Ben,

All very true, but one might do the graphics XB style, so that those 
coming from BASIC/XB would be comfortable in a new strange environment. 
  Therefore binary code libraries available with a large memory capable 
Forth could make this an easy selection for one of two or more graphic 
libraries, nicht war?

Bill S

ti99_forever wrote:
>  
> 
> One must remember the Forth philosophy. Many "complete" Forths provided 
> just the interpreter and a small set of core words, like C (you don't 
> count the library routines).
> 
> TI Forth had a lot of extras, and they were all optional. With Forth, 
> you are free to do your own library routines and not stick with the ones 
> that are optional. For example, Wycove offered TI Basic-style graphics. 
> But once you learned how to do this 'assembly-style', why would you do 
> it 'Basic-style'?
> 
> --- On *Fri, 4/9/10, Ksarul /<[email-masked]>/* wrote:
> 
> 
>     Actually, Mike McCann did a lot of work on TI Forth to make it a
>     very useful language as well for use with The Printer’s Apprentice
>     and The Geometer’s Apprentice.  He used it for HQ Stacks on the
>     Geneve as well.  I believe that version was also the starting point
>     *From:* [email-masked] [mailto: [email-masked] ] *On
>     released. Corrections and updates were common throughout the early
>     years of its existence. The only complete FORTH language for the TI
>     was Wycove FORTH by Tim MacEachern. I have the first version - Vn
>     2.0 which has cassette tape access (removed in later versions). I
>     used it for about a year that way although it was a bit cumbersome.
>     Subsequently, Vn 2.1 appears without cassette access and I got a
>     copy of it as well. That was followed by a long, personal
>     correspondence with Tim and he sent me a copy of the unreleased Vn
>     3.0. Wycove was released as a COMPLETE version and generally runs
>     20-50% faster that TI FORTH depending on the application. Wycove
>     loaded as an E/A5 file(s) and didn't need a special loader and the
>     editors were of much better quality than those in TI FORTH (which
>     also had some errors in them).
> 
>      
> 
>     In fact, FORTH was the language of choice in the movie industry for
>     a while since the words were in plain English and could be
>     descriptive. It was easy to manipulate a camera with a computer
>     since you could tell it exactly what to do and the results were very
>     quick. A real bonus for timing-sensitive movie sequences.
> 
>      
> 
>     needs.They were generally specific applications to solve a problem
>     or make my life easier in another programming language.  
> 
>      
> 
>     *Bob Carmany*
> 
> 
>      
> 
>     owenbrand@opry99er. com writes:**
> 
> 
> 
> 
>         came out though.  In reading up on Forth history last night, I
>         came across a few unfavorable reviews of TI Forth.  Apparently
>         TI Forth was released too early, in the hope to capture some of
>         the excitement around Forth at the time.  I also found a
>         reference on this list to Craig Miller's influence in this
>         matter.  He convinced them to release Forth early.  I'm finding
>         this whole thing VERY interesting.  :)  **
> 
> 
>         **Owen Brand **
>